/**
 * 
 */
package com.as.lyons.rest.svc.rtn;

import java.util.List;

/**
 * Detailed information about a Financial Institution.
 * 
 * @author kredding
 *
 */
public class Institution {
	private int institutionId;
	private Integer legacyLyonsId;
	private Integer mainInstitutionId;
	private String externalInstitutionId;
	private String institutionType;
	private String name;
	private String branchName;
	private String address1;
	private String address2;
	private String city;
	private String state;
	private String country;
	private String postalCode;
	private String mailingAddr;
	private boolean fedWire;
	private String swift;
	private String fax;
	private String telex;
	private String homePage;
	private String notes;
	private boolean active;
	private int branchCount;
	private List<InstitutionRoutingNumber> routingNumbers;
	private List<Contact> contacts;
	private List<Correspondent> correspondents;
	private List<InternationalCorrespondent> internationalCorrespondents;

	/**
	 * Gets the value of the lyonsId property.
	 * 
	 * @return possible object is {@link Long }
	 * 
	 */
	public int getInstitutionId() {
		return institutionId;
	}

	/**
	 * Sets the value of the lyonsId property.
	 * 
	 * @param value allowed object is {@link Long }
	 * 
	 */
	public void setInstitutionId(int value) {
		this.institutionId = value;
	}

	/**
	 * Gets the value of the lyonsId property.
	 * 
	 * @return possible object is {@link Long }
	 * 
	 */
	public Integer getLegacyLyonsId() {
		return legacyLyonsId;
	}

	/**
	 * Sets the value of the lyonsId property.
	 * 
	 * @param value allowed object is {@link Long }
	 * 
	 */
	public void setLegacyLyonsId(Integer value) {
		this.legacyLyonsId = value;
	}

	/**
	 * Gets the value of the mainBranchId property.
	 * 
	 * @return possible object is {@link Long }
	 * 
	 */
	public Integer getMainBranchId() {
		return mainInstitutionId;
	}

	/**
	 * Sets the value of the mainBranchId property.
	 * 
	 * @param value the mainBranchId to set
	 * 
	 */
	public void setMainBranchId(Integer value) {
		this.mainInstitutionId = value;
	}

	/**
	 * Sets the value of the externalInstitutionId property.
	 * 
	 * @param value the externalInstitutionId to set
	 * 
	 */
	public void setExternalInstitutionId(String value) {
		this.externalInstitutionId = value;
	}

	/**
	 * Gets the value of the externalInstitutionId property.
	 * 
	 * @return possible object is {@link Long }
	 * 
	 */
	public String getExternalInstitutionId() {
		return externalInstitutionId;
	}

	/**
	 * Gets the value of the institutionType property.
	 * 
	 * @return institutionType
	 * 
	 */
	public String getInstitutionType() {
		return institutionType;
	}

	/**
	 * Sets the value of the institutionType property.
	 * 
	 * @param value the institutionType to set
	 * 
	 */
	public void setInstitutionType(String value) {
		this.institutionType = value;
	}

	/**
	 * Gets the value of the name property.
	 * 
	 * @return name
	 * 
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the value of the name property.
	 * 
	 * @param value the name to set
	 * 
	 */
	public void setName(String value) {
		this.name = value;
	}

	/**
	 * Gets the value of the branchName property.
	 * 
	 * @return branchName
	 * 
	 */
	public String getBranchName() {
		return branchName;
	}

	/**
	 * Sets the value of the branchName property.
	 * 
	 * @param value the branchName to set
	 * 
	 */
	public void setBranchName(String value) {
		this.branchName = value;
	}

	/**
	 * Gets the value of the address1 property.
	 * 
	 * @return address1
	 * 
	 */
	public String getAddress1() {
		return address1;
	}

	/**
	 * Sets the value of the address1 property.
	 * 
	 * @param value the address1 to set
	 * 
	 */
	public void setAddress1(String value) {
		this.address1 = value;
	}

	/**
	 * Gets the value of the address2 property.
	 * 
	 * @return address2
	 * 
	 */
	public String getAddress2() {
		return address2;
	}

	/**
	 * Sets the value of the address2 property.
	 * 
	 * @param value the address2 to set
	 * 
	 */
	public void setAddress2(String value) {
		this.address2 = value;
	}

	/**
	 * Gets the value of the city property.
	 * 
	 * @return city
	 * 
	 */
	public String getCity() {
		return city;
	}

	/**
	 * Sets the value of the city property.
	 * 
	 * @param value the city to set
	 * 
	 */
	public void setCity(String value) {
		this.city = value;
	}

	/**
	 * Gets the value of the state property.
	 * 
	 * @return state
	 * 
	 */
	public String getState() {
		return state;
	}

	/**
	 * Sets the value of the state property.
	 * 
	 * @param value the state to set
	 * 
	 */
	public void setState(String value) {
		this.state = value;
	}

	/**
	 * Gets the value of the country property.
	 * 
	 * @return country
	 * 
	 */
	public String getCountry() {
		return country;
	}

	/**
	 * Sets the value of the country property.
	 * 
	 * @param value the country to set
	 * 
	 */
	public void setCountry(String value) {
		this.country = value;
	}

	/**
	 * Gets the value of the postalCode property.
	 * 
	 * @return postalCode
	 * 
	 */
	public String getPostalCode() {
		return postalCode;
	}

	/**
	 * Sets the value of the postalCode property.
	 * 
	 * @param value the postalCode to set
	 * 
	 */
	public void setPostalCode(String value) {
		this.postalCode = value;
	}

	/**
	 * Gets the value of the mailingAddress property.
	 * 
	 * @return mailingAddress
	 * 
	 */
	public String getMailingAddress() {
		return mailingAddr;
	}

	/**
	 * Sets the value of the mailingAddress property.
	 * 
	 * @param value the mailingAddress to set
	 * 
	 */
	public void setMailingAddress(String value) {
		this.mailingAddr = value;
	}

	/**
	 * Gets the value of the fedWire property.
	 * 
	 * @return fedWire
	 * 
	 */
	public boolean getFedWire() {
		return fedWire;
	}

	/**
	 * Sets the value of the fedWire property.
	 * 
	 * @param value the fedWire to set
	 * 
	 */
	public void setFedWire(boolean value) {
		this.fedWire = value;
	}

	/**
	 * Gets the value of the swift property.
	 * 
	 * @return swift
	 * 
	 */
	public String getSwift() {
		return swift;
	}

	/**
	 * Sets the value of the swift property.
	 * 
	 * @param value the swift to set
	 * 
	 */
	public void setSwift(String value) {
		this.swift = value;
	}

	/**
	 * Gets the value of the fax property.
	 * 
	 * @return fax
	 * 
	 */
	public String getFax() {
		return fax;
	}

	/**
	 * Sets the value of the fax property.
	 * 
	 * @param value the fax to set
	 * 
	 */
	public void setFax(String value) {
		this.fax = value;
	}

	/**
	 * Gets the value of the telex property.
	 * 
	 * @return telex
	 * 
	 */
	public String getTelex() {
		return telex;
	}

	/**
	 * Sets the value of the telex property.
	 * 
	 * @param value the telex to set
	 * 
	 */
	public void setTelex(String value) {
		this.telex = value;
	}

	/**
	 * Gets the value of the homePage property.
	 * 
	 * @return homePage
	 * 
	 */
	public String getHomePage() {
		return homePage;
	}

	/**
	 * Sets the value of the homePage property.
	 * 
	 * @param value the homePage to set
	 * 
	 */
	public void setHomePage(String value) {
		this.homePage = value;
	}

	/**
	 * Gets the value of the notes property.
	 * 
	 * @return notes
	 * 
	 */
	public String getNotes() {
		return notes;
	}

	/**
	 * Sets the value of the active property.
	 * 
	 * @param value the active to set
	 * 
	 */
	public void setNotes(String value) {
		this.notes = value;
	}

	/**
	 * Gets the value of the active property.
	 * 
	 * @return active
	 * 
	 */
	public boolean getActive() {
		return active;
	}

	/**
	 * Sets the value of the active property.
	 * 
	 * @param value the active to set
	 * 
	 */
	public void setActive(boolean value) {
		this.active = value;
	}

	/**
	 * Sets the value of the branchCount property.
	 * 
	 * @param value the branchCount to set
	 * 
	 */

	public void setBranchCount(int value) {
		this.branchCount = value;
	}

	/**
	 * Gets the value of the branchCount property.
	 * 
	 * @return branchCount
	 * 
	 */
	public int getBranchCount() {
		return branchCount;
	}

	/**
	 * Gets the value of the routingNumbers property.
	 * 
	 * @return routingNumbers
	 * 
	 */
	public List<InstitutionRoutingNumber> getRoutingNumbers() {
		return routingNumbers;
	}

	/**
	 * Sets the value of the routingNumbers property.
	 * 
	 * @param value the routingNumber to set
	 * 
	 */
	public void setRoutingNumbers(List<InstitutionRoutingNumber> value) {
		this.routingNumbers = value;
	}

	/**
	 * Gets the value of the contacts property.
	 * 
	 * @return contacts
	 * 
	 */
	public List<Contact> getcontacts() {
		return contacts;
	}

	/**
	 * Sets the value of the contacts property.
	 * 
	 * @param value the contacts to set
	 * 
	 */
	public void setContacts(List<Contact> value) {
		this.contacts = value;
	}

	/**
	 * Gets the value of the correspondents property.
	 * 
	 * @return correspondents
	 * 
	 */
	public List<Correspondent> getCorrespondents() {
		return correspondents;
	}

	/**
	 * Sets the value of the correspondents property.
	 * 
	 * @param value the correspondent to set
	 * 
	 */
	public void setCorrespondents(List<Correspondent> value) {
		this.correspondents = value;
	}

	/**
	 * Gets the value of the internationalCorrespondents property.
	 * 
	 * @return internationalCorrespondents
	 * 
	 */
	public List<InternationalCorrespondent> getInternationalCorrespondents() {
		return internationalCorrespondents;
	}

	/**
	 * Sets the value of the internationalCorrespondents property.
	 * 
	 * @param value the internationalCorrespondents to set
	 * 
	 */
	public void setInternationalCorrespondents(List<InternationalCorrespondent> value) {
		this.internationalCorrespondents = value;
	}

}
