/**
 * 
 */
package com.as.lyons.rest.svc.rtn;

import com.as.lyons.rest.svc.common.TokenRequest;

/**
 * A request for most of the RTN service methods.
 * You must populate the inherited {@link #setToken(String)} property as well.
 *   
 * @author pgurov
 *
 */
public class RtnRequest extends TokenRequest {
	private String rtn;
	private String country;
	private String swift;
	private Boolean includeInactive;
	private Boolean includeHistory;
	private Boolean includeWireSearch;
	private Long institutionId;
	

	public RtnRequest() {}
	
	public RtnRequest(String token) {
		super(token);
	}
	
	public RtnRequest(String token, String rtn, String country, Boolean includeInactive, Boolean includeWireSearch, Boolean includeHistory) {
		super(token);
		this.rtn = rtn;
		this.country = country;
		this.includeInactive = includeInactive;
		this.includeWireSearch = includeWireSearch;
		this.includeHistory = includeHistory;
		
		
	}
	
	public RtnRequest(String token, Long institutionId, Boolean includeHistory) {
		super(token);
		this.institutionId = institutionId;
		this.includeHistory = includeHistory;
	}
	
	public RtnRequest(String token, String swift, String country, Boolean includeInactive, Boolean includeHistory) {
		super(token);
		this.swift = swift;
		this.country = country;
		this.includeInactive = includeInactive;
		this.includeHistory = includeHistory;
	}
	/**
	 * @return the rtn
	 */
	public String getRtn() {
		return rtn;
	}

	/**
	 * @param rtn the rtn to set
	 */
	public void setRtn(String rtn) {
		this.rtn = rtn;
	}
	/**
	 * @return the country
	 */
	public String getCountry() {
		return country;
	}

	/**
	 * @param country the country to set
	 */
	public void setCountry(String country) {
		this.country = country;
	}

	/**
	 * @return the includeHistory
	 */
	public Boolean getIncludeHistory() {
		return includeHistory;
	}

	/**
	 * @param includeHistory the includeHistory to set
	 */
	public void setIncludeHistory(Boolean includeHistory) {
		this.includeHistory = includeHistory;
	}
	
	/**
	 * @return the includeWireSearch
	 */
	public Boolean getIncludeWireSearch() {
		return includeWireSearch;
	}

	/**
	 * @param includeWireSearch the includeWireSearch to set
	 */
	public void setIncludeWireSearch(Boolean includeWireSearch) {
		this.includeWireSearch = includeWireSearch;
	}
	
	/**
	 * @return the includeInactive
	 */
	public Boolean getIncludeInactive() {
		return includeInactive;
	}

	/**
	 * @param includeInactive the includeInactive to set
	 */
	public void setIncludeInactive(Boolean includeInactive) {
		this.includeInactive = includeInactive;
	}
	
	/**
	 * @return the institutionId
	 */
	public Long getInstitutionId() {
		return institutionId;
	}

	/**
	 * @param institutionId the institutionId to set
	 */
	public void setInstitutionId(Long institutionId) {
		this.institutionId = institutionId;
	}
	
	/**
	 * @param swift the  swift to set
	 */
	public void setSwift(String swift) {
		this.swift = swift;
	}
	
	/**
	 * @return the swift
	 */
	public String getSwift() {
		return swift;
	}
}
